X2Go Bug report logs - #799
x2golistdesktops returns nothing

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Anatoly Smaznov <mrjavum@gmail.com>

Date: Sun, 1 Mar 2015 09:35:01 UTC

Severity: normal

Tags: pending

Fixed in version 4.0.1.20

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Sun, 01 Mar 2015 09:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anatoly Smaznov <mrjavum@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 01 Mar 2015 09:35:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Anatoly Smaznov <mrjavum@gmail.com>
To: submit@bugs.x2go.org
Subject: x2golistdesktops returns nothing
Date: Sun, 1 Mar 2015 15:31:26 +0600
[Message part 1 (text/plain, inline)]
Package: x2goserver

Version: 4.0.1.19

I'm using x2go on  Arch linux x86_64. This package
https://www.archlinux.org/packages/extra/x86_64/x2goserver/
I can't use desktop sharing - client says that no local desktop found.
After digging I found that  `ss -lxu` returns nothing on my system. Replace
with `ss -x` and it works now.


Thanks!
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Tue, 03 Mar 2015 13:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 03 Mar 2015 13:15:01 GMT) Full text and rfc822 format available.

Message #10 received at 799@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Anatoly Smaznov <mrjavum@gmail.com>, 799@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#799: x2golistdesktops returns nothing
Date: Tue, 03 Mar 2015 14:11:03 +0100
[Message part 1 (text/plain, inline)]
Hi Anatoly


On 01.03.2015 10:31 AM, Anatoly Smaznov wrote:
> I'm using x2go on  Arch linux x86_64. This package
> https://www.archlinux.org/packages/extra/x86_64/x2goserver/
> I can't use desktop sharing - client says that no local desktop found.
> After digging I found that  `ss -lxu` returns nothing on my system.
> Replace with `ss -x` and it works now.

This sounds like a bug in ss. Does ss -xu also return nothing?

What about ss -l -x -u?



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Thu, 23 Apr 2015 03:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anatoly Smaznov <mrjavum@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 23 Apr 2015 03:40:02 GMT) Full text and rfc822 format available.

Message #15 received at 799@bugs.x2go.org (full text, mbox):

From: Anatoly Smaznov <mrjavum@gmail.com>
To: 799@bugs.x2go.org
Date: Thu, 23 Apr 2015 09:37:46 +0600
[Message part 1 (text/plain, inline)]
Here's the output:

[aaa@mmm ~]$ ss -l -x -u
State Recv-Q Send-Q Local Address:Port Peer Address:Port
[aaa@mmm ~]$ ss -xu
Recv-Q Send-Q Local Address:Port Peer Address:Port
[aaa@mmm ~]$ ss -v
ss utility, iproute2-ss150210
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Thu, 23 Apr 2015 14:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 23 Apr 2015 14:25:01 GMT) Full text and rfc822 format available.

Message #20 received at 799@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Anatoly Smaznov <mrjavum@gmail.com>, 799@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#799:
Date: Thu, 23 Apr 2015 16:21:52 +0200
[Message part 1 (text/plain, inline)]
On 23.04.2015 05:37 AM, Anatoly Smaznov wrote:
> Here's the output:
> 
> [aaa@mmm ~]$ ss -l -x -u
> State Recv-Q Send-Q Local Address:Port Peer Address:Port
> [aaa@mmm ~]$ ss -xu
> Recv-Q Send-Q Local Address:Port Peer Address:Port
> [aaa@mmm ~]$ ss -v
> ss utility, iproute2-ss150210


I can reproduce this with iproute2 4.0.0. Adding the -u flag is leading to no output.

I still maintain this is a bug in iproute2, unless the new behavior is intentional.

Adding -u always makes the returned list be empty.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Mon, 27 Apr 2015 12:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernard Cafarelli <voyageur@gentoo.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 27 Apr 2015 12:40:02 GMT) Full text and rfc822 format available.

Message #25 received at 799@bugs.x2go.org (full text, mbox):

From: Bernard Cafarelli <voyageur@gentoo.org>
To: 799@bugs.x2go.org
Subject: Same problem in Gentoo
Date: Mon, 27 Apr 2015 14:34:11 +0200
iproute2 3.19.0 is stable on most important arches now, and also has the 
problem

If my git bisect went fine this is the commit where the command started 
returning nothing:

commit 9db7bf15e22b6a1b8bc09c4a1e29571cbca55c94
Author: Vadim Kochan <vadim4j@gmail.com>
Date:   Sun Jan 4 22:18:40 2015 +0200

    ss: Filtering logic changing, with fixes

    This patch fixes some filtering combinations issues which does not
    work on the 'master' version:

        $ ss -4
        shows inet & unix sockets, instead of only inet sockets

        $ ss -u
        needs to specify 'state closed'

        $ ss src unix:*X11*
        needs to specify '-x' shortcut for UNIX family

        $ ss -A all
        shows only sockets with established states

    There might some other issues which was not observed.

    Also changed logic for calculating families, socket types and
    states filtering. I think that this version is a little simpler
    one. Now there are 2 predefined default tables which describes
    the following maping:

        family  -> (states, dbs)
        db      -> (states, families)

    Signed-off-by: Vadim Kochan <vadim4j@gmail.com>


I have not used the ss command much, but this does indeed look like an 
iproute2 bug

-- 
Bernard Cafarelli (Voyageur)
Gentoo developer (NX, GNUstep, net-misc, llvm/clang, ...)


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Mon, 27 Apr 2015 15:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 27 Apr 2015 15:20:02 GMT) Full text and rfc822 format available.

Message #30 received at 799@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Bernard Cafarelli <voyageur@gentoo.org>, 799@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#799: Same problem in Gentoo
Date: Mon, 27 Apr 2015 17:17:36 +0200
[Message part 1 (text/plain, inline)]
On 27.04.2015 02:34 PM, Bernard Cafarelli wrote:
> iproute2 3.19.0 is stable on most important arches now, and also has the 
> problem
> 
> If my git bisect went fine this is the commit where the command started 
> returning nothing:
> 
> commit 9db7bf15e22b6a1b8bc09c4a1e29571cbca55c94
> Author: Vadim Kochan <vadim4j@gmail.com>
> Date:   Sun Jan 4 22:18:40 2015 +0200
> 
>      ss: Filtering logic changing, with fixes
> 
>      This patch fixes some filtering combinations issues which does not
>      work on the 'master' version:
> 
>          $ ss -4
>          shows inet & unix sockets, instead of only inet sockets
> 
>          $ ss -u
>          needs to specify 'state closed'
> 
>          $ ss src unix:*X11*
>          needs to specify '-x' shortcut for UNIX family
> 
>          $ ss -A all
>          shows only sockets with established states
> 
>      There might some other issues which was not observed.
> 
>      Also changed logic for calculating families, socket types and
>      states filtering. I think that this version is a little simpler
>      one. Now there are 2 predefined default tables which describes
>      the following maping:
> 
>          family  -> (states, dbs)
>          db      -> (states, families)
> 
>      Signed-off-by: Vadim Kochan <vadim4j@gmail.com>
> 
> 
> I have not used the ss command much, but this does indeed look like an 
> iproute2 bug

Yep. Unfortunately it has no "real" bug tracker but a mailing list. I have been "too lazy" to create the necessary infrastructure to subscribe to yet another mailing list. Actually busy with other things.

Thanks for bisecting this!

Not sure that's the correct commit, but it may be related.

ss -u always returning "nothing" (at least on my system) is bad. I wonder how nobody noticed it yet?


I'll have to create an upstream bug report for this. It's been on my todo list for the past few days...



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Tue, 28 Apr 2015 02:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Apr 2015 02:50:02 GMT) Full text and rfc822 format available.

Message #35 received at 799@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Bernard Cafarelli <voyageur@gentoo.org>, 799@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#799: Bug#799: Same problem in Gentoo
Date: Tue, 28 Apr 2015 04:45:28 +0200
[Message part 1 (text/plain, inline)]
On 27.04.2015 05:17 PM, Mihai Moldovan wrote:
> I'll have to create an upstream bug report for this. It's been on my todo list for the past few days...

Bug report "submitted": https://marc.info/?l=linux-netdev&m=143018447007958&w=2

Feel free to chime in there, please.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Thu, 22 Sep 2016 03:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 22 Sep 2016 03:55:02 GMT) Full text and rfc822 format available.

Message #40 received at 799@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: 799@bugs.x2go.org
Subject: x2golistdesktops - ss options
Date: Wed, 21 Sep 2016 21:43:51 -0600
So, it appears to be well known that 'ss -lxu' has been broken on some 
systems and returns nothing.  This is currently true on EL 7.2 though 
appears fixed in 7.3 beta.

However, why is -u being passed to ss in the first place?  We're doing:

my $lines=system_capture_stdout_output("ss", "-lxu");
my @lines=split("\n", "$lines");
my @outp = grep ( /(@| )\/tmp\/.X11-unix\/X.*/, @lines);
for(my $i=0;$i<@outp;$i++)
{
...

so we're filtering the output of ss for lines that look like unix 
sockets (/tmp/.X11-unix/X*), so -lx is appropriate.  But why use '-u' to 
show UDP sockets?  No X server that I know of listens on UDP and we 
certainly would filter it out anyway.

diff --git a/x2goserver/bin/x2golistdesktops 
b/x2goserver/bin/x2golistdesktops
index 386ed17..1cbc7ef 100755
--- a/x2goserver/bin/x2golistdesktops
+++ b/x2goserver/bin/x2golistdesktops
@@ -66,7 +66,7 @@ my $uname=$ENV{'USER'};
 # -> so we need to tweak the PATH env var a little here...
 my $old_PATH=$ENV{'PATH'};
 $ENV{'PATH'}="$ENV{'PATH'}:/usr/sbin:/sbin";
-my $lines=system_capture_stdout_output("ss", "-lxu");
+my $lines=system_capture_stdout_output("ss", "-lx");
 $ENV{'PATH'}=$old_PATH;
 undef $old_PATH;

See also https://bugzilla.redhat.com/show_bug.cgi?id=1371690

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Thu, 06 Oct 2016 13:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tancredi-Paul Grozav <paul@grozav.info>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 06 Oct 2016 13:20:02 GMT) Full text and rfc822 format available.

Message #45 received at 799@bugs.x2go.org (full text, mbox):

From: Tancredi-Paul Grozav <paul@grozav.info>
To: 799@bugs.x2go.org
Subject: x2golistdesktops returns nothing
Date: Thu, 06 Oct 2016 16:09:59 +0300
I can confirm that x2golistdesktops works without passing the -u 
parameter to ss.
I changed the script /usr/bin/x2golistdesktops at line 68 from:

my $lines=`ss -lxu`;
to
my $lines=`ss -lx`;

And x2golistdesktops works fine and accessing a local desktop also works 
fine.

---
Thank you,
Tancredi-Paul Grozav


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Thu, 10 Nov 2016 15:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 10 Nov 2016 15:45:01 GMT) Full text and rfc822 format available.

Message #50 received at 799@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Orion Poplawski <orion@cora.nwra.com>, 799@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2golistdesktops - ss options
Date: Thu, 10 Nov 2016 16:41:29 +0100
[Message part 1 (text/plain, inline)]
On 22.09.2016 05:43 AM, Orion Poplawski wrote:
> However, why is -u being passed to ss in the first place?  We're doing:
> 
> my $lines=system_capture_stdout_output("ss", "-lxu");
> my @lines=split("\n", "$lines");
> my @outp = grep ( /(@| )\/tmp\/.X11-unix\/X.*/, @lines);
> for(my $i=0;$i<@outp;$i++)
> {
> ...
> 
> so we're filtering the output of ss for lines that look like unix 
> sockets (/tmp/.X11-unix/X*), so -lx is appropriate.  But why use '-u' to 
> show UDP sockets?  No X server that I know of listens on UDP

The only thing that comes to my mind would be XMDCP, but ...

> and we certainly would filter it out anyway.

given this, it doesn't even make sense to keep this option.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Thu, 10 Nov 2016 15:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 10 Nov 2016 15:45:02 GMT) Full text and rfc822 format available.

Message #55 received at 799@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 799-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 799@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 10 Nov 2016 16:43:18 +0100 (CET)
tag #799 pending
fixed #799 4.0.1.20
thanks

Hello,

X2Go issue #799 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=30f8642

The issue will most likely be fixed in src:x2goserver (4.0.1.20).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 30f8642fa82ca35b0762d692e7866491b50cbe4c
Author: Orion Poplawski <orion@cora.nwra.com>
Date:   Thu Nov 10 16:40:36 2016 +0100

    x2goserver/bin/x2golistdesktops: drop -u parameter to ss. Fixes: #799.
    
    We would filter out UDP sockets later anyway and the combination -lxu is
    known to be broken with some versions of iproute2.

diff --git a/debian/changelog b/debian/changelog
index b9c7f99..641a3e7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -147,6 +147,12 @@ x2goserver (4.0.1.20-0x2go1) UNRELEASED; urgency=low
     - x2goserver/bin/x2goruncommand: capture x2goruncommand debug output for
       x2gofeature X2GO_XSESSION.
 
+  [ Orion Poplawski ]
+  * New upstream version (4.0.1.20):
+    - x2goserver/bin/x2golistdesktops: drop -u parameter to ss. Fixes: #799.
+      We would filter out UDP sockets later anyway and the combination -lxu is
+      known to be broken with some versions of iproute2.
+
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 24 Feb 2015 22:11:49 +0100
 
 x2goserver (4.0.1.19-0x2go2) UNRELEASED; urgency=low


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 10 Nov 2016 15:45:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.20. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 10 Nov 2016 15:45:03 GMT) Full text and rfc822 format available.

Message sent on to Anatoly Smaznov <mrjavum@gmail.com>:
Bug#799. (Thu, 10 Nov 2016 15:45:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#799; Package x2goserver. (Sun, 20 Nov 2016 15:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Nov 2016 15:15:02 GMT) Full text and rfc822 format available.

Message #67 received at 799@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 799-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 799@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sun, 20 Nov 2016 12:42:58 +0100 (CET)
close #799
thanks

Hello,

we are very hopeful that X2Go issue #799 reported by you
has been resolved in the new release (4.0.1.20) of the
X2Go source project Ā»src:x2goserverĀ«.

You can view the complete changelog entry of src:x2goserver (4.0.1.20)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=71e1e82d82acc718da71301d2fbd67eb0a71ad44;hp=8a494e794402c1b124d861893d649726a9016eb7

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.20-0x2go1
Status: RELEASE
Date: Sun, 20 Nov 2016 12:39:36 +0100
Fixes: 799 812 888 889 903 922 923 985 1065 1068 1073
Changes: 
 x2goserver (4.0.1.20-0x2go1) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream version (4.0.1.20):
     - TERMINAL Session: Add support for qterminal
       (Lightweight terminal emulator written in Qt)
     - TRINITY: Add support for Q4OS
 .
   [ Mihai Moldovan ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2gogetapps: respect NoDisplay and Hidden values, don't
       parse the full desktop file if there are non-Desktop Entries groups.
       Based on a patch submitted by Jason Alavaliant. Fixes: #812.
     - x2goserver/bin/x2gogetapps: do not print spurious newlines.
     - Change string "X2go" to "X2Go" where appropriate.
     - Add runcommand.d hooks to x2goserver-extensions Makefile.
     - x2goserver/bin/x2gosessionlimit: don't iterate over the whole groups
       file. Only check the primary and secondary groups as returned by
       getgid()/getgroups(). Fixes long delays in session startup on machines
       with a gazillion of groups.
     - x2goserver/sbin/x2gocleansessions: re-fetch the current sessions' status
       before handling it. Using the "cached" value from the initial
       x2golistsessions run may be desynchronized with the actual current
       value. Avoids a race condition logging users out after they attached to a
       session.
     - x2goserver/sbin/x2gocleansessions: rename %remembered_sessions_since to
       %remembered_sessions_status_since. That's what it really is. Add
       comments to further clarify what it's actually doing. Change it to
       include a timestamp instead of the "iteration count multiplied by two"
       value. Compare timestamps to see if killing hanging nxagent processes is
       necessary.
     - x2goserver/sbin/x2gocleansessions: rename
       %remembered_sessions_status_since to
       %remembered_sessions_status_since_time. Add
       %remembered_sessions_status_since_iterations that will come in handy for
       the next change.
     - x2goserver/sbin/x2gocleansessions: give suspended-but-running sessions a
       grace period of one iteration. Fixes: #888.
     - x2goserver/sbin/x2gocleansessions: fix ugly missing whitespace.
     - x2goserver/sbin/x2gocleansessions: move up session status sync a bit,
       don't update session state when session has been removed from the
       database.
     - x2goserver/sbin/x2gocleansessions: unify log messages. Move dangling
       line around.
     - x2goserver/sbin/x2gocleansessions: whitespace only.
     - x2goserver/sbin/x2gocleansessions: also delete entries in the other,
       overlooked hashes.
     - x2goserver/sbin/x2gocleansessions: move socket and lock file cleanup
       into time-based block for finished/failed sessions.
     - x2goserver/sbin/x2gocleansessions: add @remembered_finished_sessions
       array. Merge with session list as queried from the database (won't
       include finished/failed sessions) and remember F-state sessions via this
       array. Only delete elements once work on these has been finished.
     - x2goserver/sbin/x2gocleansessions: don't add failed/finished sessions to
       remembered list if that list already includes them.
     - x2goserver/sbin/x2gocleansessions: don't use gmtime (time ()) but merely
       time (). The former one returns a formatted date-time string, which
       can't be checked by forming a difference. The latter one returns an UNIX
       timestamp, which is what we really want... minus leap seconds. Let's
       hope this doesn't bite back some time or later...
     - x2goserver/sbin/x2gocleansessions: add debugging output to show the
       state change when updating the cached state result.
     - x2goserver/sbin/x2gocleansessions: only output status refreshing debug
       message if the old and new states actually differ. Prevents log spam.
     - x2goserver/bin/x2gostartagent: changes to Robert Nowotny's SSH_PORT
       patch. Fixes: #922. Use default outgoing interface to determine IP
       address. Use the whole range of ${RANDOM}'s pool. Seed it for good
       measure. Change the default method to randomization instead of IP-based
       initialization. If IP-based initialization was requested but the default
       outgoing IP address unavailable, fall back to randomization.
     - x2goserver/bin/x2goruncommand: whitespace and comment changes only.
     - x2goserver/bin/x2gocleansessions: replace system_capture_stdout_output()
       with actual implementation. We don't have that function on the release
       branch.
     - x2goserver-xsession/etc/Xsession: use /bin/bash explicitly on RedHat-,
       Gentoo- and SuSE-based systems. Users might change /bin/sh to point to a
       shell like mksh or dash, which do not support the -l or -c flags to
       exec. C.f., BGO #575022 (Gentoo.)
     - x2goserver/bin/x2gomountdirs: remove blowfish Cipher spec hardcoded for
       sshfs mounts. The speed improvement is probably mostly an illusion
       (unless talking about high-bandwidth links) and more importantly recent
       OpenSSH server versions seem to disable the Blowfish cipher by default,
       leading to errors like "Connection reset by peer."
     - x2goserver/bin/x2goruncommand: whitespace only.
     - x2goserver/sbin/x2gocleansessions: add Perl documentation and --help,
       -h, -? and --man options. Fixes: #1065. Also print a usage message on
       unknown options.
     - x2goserver/man/man8/x2gocleansessions.8: drop obsolete man page.
     - x2goserver-xsession/etc/Xsession: fix uname calls when (potentially)
       creating session log/error file and add uname call where necessary.
     - x2goserver-xsession/etc/Xsession: include hostname in
       xsession-x2go-errors file name. Part of #923.
     - x2goserver-xsession/etc/Xsession: rotate old log/error file before
       appending new data. Fixes: #923.
     - x2goserver-xsession/etc/Xsession: fix wrong variable usage.
       Fixes: #1073.
     - x2goserver/sbin/x2gocleansessions: move in-file POD to end of file,
       rather than "commenting" out all the remaining code. Fixes: #1068.
     - x2goserver/sbin/x2godbadmin: exit earlier when not finding the required
       "x2gouser" user.
   * x2goserver.spec:
     - Add sudo and logcheck as BuildRequires and Requires. Don't own
       directories that are owned by sudo and logcheck. Logcheck is not
       available on *SUSE, FC < 20 and RHEL, so for those distros still own the
       directories.
     - Typo fix in comment: Recommands -> Recommends.
     - Fix installation on OpenSUSE 12.3 and higher: has replaced pwdutils with
       shadow. Also affects SLE{S,D} 12.
     - Add workaround documentation for sudoers on *SUSE 11.
     - Add shadow/shadow-utils/pwdutils Requires to x2goserver-printing
       sub package.
     - Add new dependency on bash.
     - Add new dependency on xkeyboard-config to x2goserver. Fixes: #903.
     - Add new dependency on perl and the Cwd module to x2goserver-xsession.
       Part of #923.
   * debian/control:
     - Add new dependency on bash.
     - Add new dependency on xkb-data to x2goserver.
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add new dependency on perl-modules for Cwd. Part of #923.
 .
   [ Henning Heinold ]
   * New upstream version (4.0.1.20):
     - x2goserver/sbin/x2godbadmin: remove trailing whitespace.
     - x2goserver/sbin/x2godbadmin: revoke all PRIVILEGES before trying to
       delete a user on postgres. Fixes: #889.
 .
   [ Mike Gabriel ]
   * debian/x2goserver.preinst:
     + Use proper comment header explaining about preinst script argument
       calls (not postinst).
 .
   [ Robert Nowotny ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2gostartagent: original patch for SSH_PORT
       randomization/IP-based initialization. Submitted as #922.
 .
   [ Stefan Baur ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2goruncommand: add the other trinity launcher scripts in
       order from newest to oldest. Fixes: #985.
 .
   [ Tor Perkins ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2goruncommand: capture x2goruncommand debug output for
       x2gofeature X2GO_XSESSION.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2golistdesktops: drop -u parameter to ss. Fixes: #799.
       We would filter out UDP sockets later anyway and the combination -lxu is
       known to be broken with some versions of iproute2.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 20 Nov 2016 15:15:02 GMT) Full text and rfc822 format available.

Notification sent to Anatoly Smaznov <mrjavum@gmail.com>:
Bug acknowledged by developer. (Sun, 20 Nov 2016 15:15:02 GMT) Full text and rfc822 format available.

Message sent on to Anatoly Smaznov <mrjavum@gmail.com>:
Bug#799. (Sun, 20 Nov 2016 15:15:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 19 Dec 2016 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Sep 21 07:58:29 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.